# Method: tokens.create

- [HTTP request](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/create#body.request_body)
- [Response body](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens/create#body.aspect)

Create a Device Token.

This may invalidate previous token for some token types.

### HTTP request

`POST https://chromedevicetoken.googleapis.com/v1/tokens`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#Token`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/chrome/chrome-device-token/rest/v1/tokens#Token`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chromeosdevicetoken`